body {
  margin: 0;
  padding: 0;
  background: #f7f7f7;
}

.banner-area {
  width: 100%;
}

.menu-area {
  position: static;
}

.mega-area{
  position: absolute;
  width: 100%;
  left: 0;
  right: 0;
  padding: 15px;
  background: #f7f7f7;
}

.mega-area2 {
  padding-left: 10em;
  padding-right: 10em;
  margin-top: 20em;
  padding: 15px;
  background: #f7f7f7;
}

.dd {
  padding-bottom: 1em;
}

.dropdown-item {
  font-family: 'Times New Roman', Times, serif;
  font-size: 14px;
  padding-left: 1.5em;
}

.navbar .dropdown-menu a:focus, .dropdown-menu a:active {
  background-color: rgb(247, 247, 247, 0.93);
  opacity: 0.93;
  color: rgb(54, 52, 52);
}

.navbar-default {
  background-color: rgb(247, 247, 247, 0.93);
  background: #f7f7f7;
  opacity: 0.93;
}

.navbar-brand {
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 0.5em;
  padding-left: 1.5em;
  padding-top: 0.5em;
}

.navbar-nav {
  height: 100%;
  padding-right: 1.5em;
  padding-top: 0.5em;
  color: rgb(54, 52, 52);
}

.dd-h5 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14px;
  padding-left: 1.5em;
  letter-spacing: 0.1em;
  padding-top: 2.8em;
  padding-bottom: 1.1em;
}

.nav-item {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14px;
  padding-right: 1em;
}

.line::after {
  content: '';
  display: block;
  width: 0px;
  height: 1px;
  background: #0a0800;
  transition: 0.4s
}
  
.line:hover::after {
  width: 100%
}

.dropdown:hover .dropdown-content {
  display: inline-block;
}

.dropdown-content {
  position: static;
  display: none;
  margin-top: 2px;
  z-index: 1;
}


nav .searchbar {
  position: relative;
  padding-left: 1em;
  height: 100%;
  padding-right: 1.5em;
}

nav .searchbar input[type="text"] {
border: 0;
padding: 0;
width: 0px;
height: 30px;
background: transparent;
border-bottom: 1px solid #0a0800;
transition: all 1s ease;
content: "";
}

nav .searchbar .icon {
display: flex;
position: absolute;
top: 0;
right: 0;
width: 35px;
height: 100%;
background: none;
border-radius: 3px;
transition: all 0.5s 0.3s ease;
padding-top: 0.5em;
}

nav .searchbar .icon i {
position: absolute;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
cursor: pointer;
padding-top: 0.5em;
}

nav .searchbar .icon.active {
transition: all 0.3s ease;
}

nav .searchbar input[type="text"].active {
width: 200px;
padding: 0 10px;
transition: all 1.5s 0.2s ease;
padding-right: 4em;
margin-right: 2em;
padding-top: 0.3em;
cursor: text;
}

.no-outline:focus {
  outline: none;
  border-top-style: hidden;
  border-right-style: hidden;
  border-left-style: hidden;
  border-bottom-style: groove;
}